package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SignByPriKeyResp
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:37
 */
@Data
public class SignByPriKeyResp {
    /**
     * 错误信息
     */
    private String err;
    /**
     * 签名后的数据
     */
    private String signedData;

    private static final SignByPriKeyResp obj = new SignByPriKeyResp();
    public static SignByPriKeyResp getNew() {
        try {
            return (SignByPriKeyResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SignByPriKeyResp();
        }
    }
}
